# Function handleSelectorOperation

- handleSelectorOperation(operation, triggeredByLinkId, oldLink, newLink, valuesOperation?): Promise<void>

- #### Parameters

  - operation: "Insert" | "Update" | "Delete"
  - triggeredByLinkId: Id
  - oldLink: any
  - newLink: any
  - `Optional` valuesOperation: string

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/router/links.ts:300